VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   3855
   ClientLeft      =   165
   ClientTop       =   735
   ClientWidth     =   3795
   LinkTopic       =   "Form1"
   ScaleHeight     =   3855
   ScaleWidth      =   3795
   StartUpPosition =   3  'Windows Default
   Begin VB.PictureBox picContainer 
      AutoRedraw      =   -1  'True
      AutoSize        =   -1  'True
      BackColor       =   &H00000000&
      Height          =   2955
      Left            =   60
      ScaleHeight     =   2895
      ScaleWidth      =   3555
      TabIndex        =   0
      Top             =   60
      Width           =   3615
      Begin VB.PictureBox Picture1 
         AutoRedraw      =   -1  'True
         BackColor       =   &H80000008&
         BorderStyle     =   0  'None
         Height          =   1935
         Left            =   120
         ScaleHeight     =   1935
         ScaleWidth      =   1335
         TabIndex        =   1
         Top             =   180
         Width           =   1335
      End
   End
   Begin VB.Menu mnuFile 
      Caption         =   "&File"
      Begin VB.Menu mnuOpen 
         Caption         =   "&Load"
      End
      Begin VB.Menu mnuSave 
         Caption         =   "&Save"
      End
      Begin VB.Menu sep1 
         Caption         =   "-"
      End
      Begin VB.Menu mnuOptions 
         Caption         =   "&Options"
      End
      Begin VB.Menu sep2 
         Caption         =   "-"
      End
      Begin VB.Menu mnuExit 
         Caption         =   "E&xit"
      End
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Dim GrphFlt As MSGrphFilter
Dim FCall As cFuncCall

Private Sub Form_Load()
   Caption = "MS Filters demo"
   Set GrphFlt = New MSGrphFilter
   Set FCall = New cFuncCall
   Picture1.BackColor = picContainer.BackColor
End Sub

Private Sub Form_Resize()
   If WindowState = vbMinimized Then Exit Sub
   picContainer.Move 0, 0, ScaleWidth, ScaleHeight
   Picture1.Move 0, 0
End Sub

Private Sub Form_Unload(Cancel As Integer)
   Set GrphFlt = Nothing
   Unload frmSettings
End Sub

Private Sub mnuExit_Click()
   Unload Me
End Sub

Private Sub mnuFile_Click()
   mnuSave.Enabled = Picture1.Picture
End Sub

Private Sub mnuOpen_Click()
   Dim i As Integer
   Dim sFilter As String, sPath As String, sTemp As String
   If GrphFlt.IsImportSupported Then
      Picture1.Picture = LoadPicture()
      For i = 0 To UBound(ImportFilters)
          sFilter = sFilter & ImportFilters(i).Name & " (*." & ImportFilters(i).Extension & " )" & "|*." & ImportFilters(i).Extension & "|"
          sTemp = sTemp & "*." & ImportFilters(i).Extension & ";"
      Next i
      sFilter = Left(sFilter, Len(sFilter) - 1)
      sTemp = Left(sTemp, Len(sTemp) - 1) & "tiff;jpeg"
      sFilter = "All graphics (" & sTemp & ")" & "|" & sTemp & "|" & sFilter
      sPath = GetFileName(sFilter, "Load image")
   Else
      MsgBox "MS Office import filters not supported", vbCritical
   End If
   If sPath <> "" Then
      GrphFlt.MsoLoadPicture sPath, Picture1
      Picture1.Picture = Picture1.Image
   End If
End Sub

Private Sub mnuOptions_Click()
   With frmSettings
        .JPEGQuality = GrphFlt.JPEGQuality
        .bShowProgress = GrphFlt.ShowProgress
        .TransparentBk = GrphFlt.TransparentBackground
        .Show vbModal
        GrphFlt.JPEGQuality = .JPEGQuality
        GrphFlt.ShowProgress = .bShowProgress
        GrphFlt.TransparentBackground = .TransparentBk
  End With
End Sub

Private Sub mnuSave_Click()
   Dim i As Integer
   Dim sFilter As String, sPath As String, sTemp As String
   If GrphFlt.IsExportSupported Then
      For i = 0 To UBound(ExportFilters)
          sFilter = sFilter & ExportFilters(i).Name & " (*." & ExportFilters(i).Extension & " )" & "|*." & ExportFilters(i).Extension & "|"
          IsBMPExportSupported = IsBMPExportSupported Or (ExportFilters(i).Extension = "bmp")
      Next i
      sFilter = Left(sFilter, Len(sFilter) - 1)
      If Not IsBMPExportSupported Then
         sFilter = "Windows bitmap (*.bmp)|*.bmp|" & sFilter
      End If
      sPath = GetFileName(sFilter, "Save image", False)
   Else
      MsgBox "MS Office import filters not supported", vbCritical
   End If
   If sPath <> "" Then
      GrphFlt.MsoSavePicture sPath, Picture1
   End If
End Sub
